#! /bin/sh
# chk_mysql_tables.sh - check all MyISAM/ISAM tables under a given directory

# Argument 1: directory pathname

if [ $# -ne 1 ]; then
	echo "Usage: $0 dirname" 1>&2
	exit 1
fi

# Change location to directory, check tables under it.
# Notes:
# - Prior to MySQL 3.23.22, change --check-only-changed to --fast
# - isamchk does not support --check-only-changed or --fast

cd $1
if [ $? -ne 0 ]; then
	echo "Cannot cd to $1" 1>&2
	exit 1
fi
find . -name "*.MYI" -follow -print \
	| xargs myisamchk --silent --check-only-changed
find . -name "*.ISM" -follow -print \
	| xargs isamchk --silent
