#! /usr/bin/perl -w
# dump_members2.pl - dump Historical League's membership list

use strict;
use DBI;

my $dsn = "DBI:mysql:sampdb:localhost";	# data source name
my $user_name = "sampadm";				# username
my $password = "secret";				# password
my %attr =								# error-handling attributes
(
    RaiseError => 0,
    PrintError => 0,
    AutoCommit => 1
);

# connect to database
my $dbh = DBI->connect ($dsn, $user_name, $password, \%attr)
	or bail_out ("Cannot connect to database");

# issue query
my $sth = $dbh->prepare ("SELECT last_name, first_name, suffix, email,"
	. "street, city, state, zip, phone FROM member ORDER BY last_name")
	or bail_out ("Cannot prepare query");
$sth->execute ()
	or bail_out ("Cannot execute query");

# read results of query
while (my @ary = $sth->fetchrow_array ())
{
	print join ("\t", @ary), "\n";
}
!$DBI::err
	or bail_out ("Error during retrieval");

$dbh->disconnect ()
	or bail_out ("Cannot disconnect from database");
exit (0);

# bail_out() subroutine - print error code and string, and then exit

sub bail_out
{
my $message = shift;

	die "$message\nError $DBI::err ($DBI::errstr)\n";
}
