<?php
#@ _COMMENT_
# sampdb.php - common functions for sampdb PHP scripts
#@ _COMMENT_

#@ _SAMPDB_DSN_
# Retrieve the data source name for connecting to the MySQL server and
# selecting the sampdb database using our top-secret name and password

# To use the original MySQL module, $driver should be "mysql".
# To use the "MySQL improved" module, $driver should be "mysqli".

function sampdb_dsn ()
{
	$driver = "mysql";
	$host_name = "localhost";
	$user_name = "sampadm";
	$password = "secret";
	$db_name = "sampdb";
	return ("$driver://$user_name:$password@$host_name/$db_name");
}
#@ _SAMPDB_DSN_

# Put out initial HTML tags for page.  $title and $header, if
# present, are assumed to have any special characters properly
# encoded.

#@ _HTML_BEGIN_
function html_begin ($title, $header)
{
	print ("<html>\n");
	print ("<head>\n");
	if ($title != "")
		print ("<title>$title</title>\n");
	print ("</head>\n");
	print ("<body bgcolor=\"white\">\n");
	if ($header != "")
		print ("<h2>$header</h2>\n");
}
#@ _HTML_BEGIN_

# put out final HTML tags for page.

#@ _HTML_END_
function html_end ()
{
	print ("</body></html>\n");
}
#@ _HTML_END_

# Generate Web form elements.  Arguments that become part of the
# content of the element are automatically HTML-encoded.

# Print hidden field

#@ _HIDDEN_FIELD_
function hidden_field ($name, $value)
{
	printf ("<input type=\"%s\" name=\"%s\" value=\"%s\" />\n",
				"hidden",
				htmlspecialchars ($name),
				htmlspecialchars ($value));
}
#@ _HIDDEN_FIELD_

# Print editable text entry field

#@ _TEXT_FIELD_
function text_field ($name, $value, $size)
{
	printf ("<input type=\"%s\" name=\"%s\" value=\"%s\" size=\"%s\" />\n",
				"text",
				htmlspecialchars ($name),
				htmlspecialchars ($value),
				htmlspecialchars ($size));
}
#@ _TEXT_FIELD_

# Print password entry field

function password_field ($name, $value, $size)
{
	printf ("<input type=\"%s\" name=\"%s\" value=\"%s\" size=\"%s\" />\n",
				"password",
				htmlspecialchars ($name),
				htmlspecialchars ($value),
				htmlspecialchars ($size));
}

# Print radio button.  $checked should be true if the box should be
# selected by default.

#@ _RADIO_BUTTON_
function radio_button ($name, $value, $label, $checked)
{
	printf ("<input type=\"%s\" name=\"%s\" value=\"%s\"%s />%s\n",
				"radio",
				htmlspecialchars ($name),
				htmlspecialchars ($value),
				($checked ? " checked=\"checked\"" : ""),
				htmlspecialchars ($label));
}
#@ _RADIO_BUTTON_

# Print form submission button

#@ _SUBMIT_BUTTON_
function submit_button ($name, $value)
{
	printf ("<input type=\"%s\" name=\"%s\" value=\"%s\" />\n",
				"submit",
				htmlspecialchars ($name),
				htmlspecialchars ($value));
}
#@ _SUBMIT_BUTTON_

# script_param() extracts an input parameter from the script execution
# environment.  It uses the $_GET and $_POST arrays if they are available,
# and the $HTTP_GET_VARS and $HTTP_POST_VARS arrays if they are not.
# If extra backslashes were added due to magic_quotes_gpc being
# enabled, it strips them using the remove_backslashes() function.
# track_vars is assumed to be enabled, but nothing is assumed about
# magic_quotes_gpc, and the function does not require register_globals to
# be enabled. 

# remove_backslashes() takes into account whether the value is a scalar or
# an array.  It is recursive in case you create a form that takes advantage
# of the ability to created nested input parameters in PHP 4 and up.

#@ _REMOVE_BACKSLASHES_
function remove_backslashes ($val)
{
	if (!is_array ($val))
		$val = stripslashes ($val);
	else
	{
		reset ($val);
		while (list ($k, $v) = each ($val))
			$val[$k] = remove_backslashes ($v);
	}
	return ($val);
}
#@ _REMOVE_BACKSLASHES_

#@ _SCRIPT_PARAM_
function script_param ($name)
{
global $HTTP_GET_VARS, $HTTP_POST_VARS;

	unset ($val);
	if (isset ($_GET[$name]))
		$val = $_GET[$name];
	else if (isset ($_POST[$name]))
		$val = $_POST[$name];
	else if (isset ($HTTP_GET_VARS[$name]))
		$val = $HTTP_GET_VARS[$name];
	else if (isset ($HTTP_POST_VARS[$name]))
		$val = $HTTP_POST_VARS[$name];
	if (isset ($val) && get_magic_quotes_gpc ())
		$val = remove_backslashes ($val);
	# return @$val rather than $val to prevent "undefined value"
	# messages in case $val is unset and warnings are enabled
	return (@$val);
}
#@ _SCRIPT_PARAM_

# Return the pathname of the current script.  The function tries the
# $_SERVER superglobal array and the $HTTP_SERVER_VARS global array.

#@ _SCRIPT_NAME_
function script_name ()
{
global $HTTP_SERVER_VARS;

	if (isset ($_SERVER["PHP_SELF"]))
		return ($_SERVER["PHP_SELF"]);
	return ($HTTP_SERVER_VARS["PHP_SELF"]);
}
#@ _SCRIPT_NAME_

?>
